<? $this->layout()->disableLayout() ?>

<style type="text/css">
	.total { padding: 5px 30px 5px 0; font-size: 16px; background-color: #FFEFC0; margin-top: 10px; border-bottom: 1px solid #ccc; text-align: right }
	/*.cx-popup-content { padding: 0 !important; }*/
</style>


<script type="text/javascript">
	window.followListPopup.addEvent('loaded', function () {

		var grid = Cubix.Grid.Instance = new Cubix.Grid(this.content.getElement('.member-follow-list').getElement('.cx-grid'), {
			identifier: { field: 'id' },
			header: [
				//{ title: 'OID', field: 'system_order_id', type: 'string', sortable: true },
				{ title: 'Username', field: 'username', type: 'string', sortable: true, width: '120px' },
				{ title: 'Showname', field: 'showname', type: 'string', width: '120px' },
				{ title: 'Status', field: 'status', type: 'string', width: '120px' },
				{ title: 'User type', field: 'user_type', type: 'string', width: '120px' },
				{ title: 'Escort/Member ID', field: 'user_id', type: 'int', width: '120px' },
			],
			sort: {
				field: 'id',
				dir: 'DESC'
			},
			actions: [ { type: 'remove', func: function (data) {
				if ( confirm('Are you sure you want to delete this follow?') ) {
					this.overlay.disable();
					new Request({
						url: '/members/un-follow?id=' + data.id,
						onSuccess: function () {
							grid.load();
						}.bind(this)
					}).send();
				}
			} },/* { type: 'details', func: function (data) {
				detailsPopup.setTitle('Order Details');
				detailsPopup.load('/billing/orders/details?id=' + data.id, function () {
					this.open();
				});
			} } */],
			data: new Cubix.Grid.Loader({ url: '/members/get-followers?member_id=<?= $this->memberId ?>' })
		});

		window.OrdersGrid = grid;

		this.removeEvents('loaded');
	});
	
</script>


<form class="form-common" method="post" class="form">
	<a id="btn-place-order"></a>
	<div class="clear"></div>

	<div class="member-follow-list">
		<h2 class="mb10 mt20">Follow list</h2>
		<div class="cx-grid"></div>
	</div>
</form>